File: no_require_relative_in_specs.patch

package info (click to toggle)
ruby-prawn-table 0.2.2-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, buster, sid, stretch
  • size: 528 kB
  • ctags: 227
  • sloc: ruby: 3,355; makefile: 5
file content (30 lines) | stat: -rw-r--r-- 787 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
Description: do not use require_relative in specs
 Use instead require, and let the interpreter find the lib
 The tests should not rely on the presence of the lib/ directory for
 autopkgtest purposes.
Author: C├ędric Boutillier <boutil@debian.org>
Forwarded: no
Last-Update: 2015-05-02

--- a/spec/cell_spec.rb
+++ b/spec/cell_spec.rb
@@ -1,7 +1,7 @@
 # encoding: utf-8
 
 require File.join(File.expand_path(File.dirname(__FILE__)), "spec_helper")
-require_relative "../lib/prawn/table"
+require "prawn/table"
 
 module CellHelpers
 
--- a/spec/table_spec.rb
+++ b/spec/table_spec.rb
@@ -6,7 +6,7 @@
 
 require File.join(File.expand_path(File.dirname(__FILE__)), "spec_helper")
 
-require_relative "../lib/prawn/table"
+require "prawn/table"
 require 'set'
 
 describe "Prawn::Table" do